<?php
/**
 * Daisycon system program validator - override the program id if only one available
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
class Daisycon_Affiliatemarketing_Model_System_Config_Validation_Program extends Mage_Core_Model_Config_Data
{
    /**
     * Override save method if program id is set
     *
     * @return $this
     */
    public function save()
    {
        $predefinedProgramId = Mage::registry('affiliatemarketing_general_program_id');
        if (false === empty($predefinedProgramId)) {
            $this->setValue($predefinedProgramId);
        }

        return parent::save();
    }
}
